
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Gerrit管理帐号 / 憋错料</title>

    <meta name="description" content="Gerrit管理帐号 文档 Gerrit服务器启动后,网站上有一个Documentation链接.点击后会看到四个选项: index,searching,uploading和access control 文档内容很多,不必专门去Gerrit官方查找. 创建CI服务器使用的帐号 CI服务器比如Jenkins肯定需要访问Gerrit来获取最新的源代码进行编译. 1.你必须在管理员所在的客户端执行命令.也就是说,你执行命令的本地机器已经作为管理员加入到Gerrit系统中. 2.将CI服务器上的公钥文件拷贝到本地机器上,假定">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Gerrit管理帐号</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>文档</strong></p>
<p>Gerrit服务器启动后，网站上有一个Documentation链接。点击后会看到四个选项：</p>
<p>index,searching,uploading和access&nbsp;control</p>
<p>文档内容很多，不必专门去Gerrit官方查找。</p>
<p><strong>创建CI服务器使用的帐号</strong></p>
<p>CI服务器比如Jenkins肯定需要访问Gerrit来获取最新的源代码进行编译。</p>
<p>1.你必须在管理员所在的客户端执行命令。也就是说，你执行命令的本地机器已经作为管理员加入到Gerrit系统中。</p>
<p>2.将CI服务器上的公钥文件拷贝到本地机器上,假定放在了~/目录下</p>
<p>3.执行命令，创建帐号</p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>cat</code>&nbsp;<code>~</code><code>/id_rsa</code><code>.pub&nbsp;|&nbsp;</code><code>ssh</code>&nbsp;<code>-p&nbsp;29418&nbsp;your_server&nbsp;gerrit&nbsp;create-account&nbsp;--group&nbsp;your_group&nbsp;--full-name&nbsp;usa1&nbsp;--email&nbsp;your_email&nbsp;--</code><code>ssh</code><code>-key&nbsp;-&nbsp;usa1</code>
</td>
</tr>
</tbody>
</table>
<p>提示：</p>
<p>gourp&nbsp;name如果包含空格，应该用引号包起来，并且用\引导。比如：</p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>create-account&nbsp;--group&nbsp;</code><code>‘Build\&nbsp;Users‘</code>
</td>
</tr>
</tbody>
</table>
<p>-&nbsp;-ssh-key&nbsp;参数后用&nbsp;-&nbsp;表示从标准输入获取公钥内容，这里最开头用了cat&nbsp;~/id_rsa.pub&nbsp;|&nbsp;方式刚好提供了所需。</p>
<p>email和用户名不允许和已有用户重复，但是公钥允许重复。</p>
<p>4.到CI所在服务器上，用命令clone项目。</p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>git&nbsp;clone&nbsp;</code><code>ssh</code><code>:</code><code>//usa1</code><code>@your_server:29418</code><code>/your_project</code><code>.git</code>
</td>
</tr>
</tbody>
</table>
<p><strong>查询和删除帐号</strong></p>
<p>需要到数据库中查找和删除。没有其他途径。</p>
<p>如果使用的是H2数据库，确保Gerrit服务启动的情况下，使用下面的命令就可以登录远程数据库。（之前我弄错了端口号，其实真的很简单)</p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>ssh</code>&nbsp;<code>-p&nbsp;29418&nbsp;[email&#160;protected]_server&nbsp;gerrit&nbsp;gsql</code>
</td>
</tr>
</tbody>
</table>
<p>如果当前登录的Linux用户名和Gerrit上注册的用户名不一样，需要在参数中指明正确用户名。比如：</p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>ssh</code>&nbsp;<code>-p&nbsp;29418&nbsp;[email&#160;protected]_server&nbsp;gerrit&nbsp;gsql</code>
</td>
</tr>
</tbody>
</table>
<p>或者直接登录gerrit服务器，关闭gerrit服务后，用下面的命令启动：</p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>java&nbsp;-jar&nbsp;gerrit-2.3.war&nbsp;gsql&nbsp;-d&nbsp;.</code><code>/review_site/</code>
</td>
</tr>
</tbody>
</table>
<p><strong>修改用户名</strong></p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<br /><code>update&nbsp;ACCOUNT_EXTERNAL_IDS&nbsp;</code><code>set</code>&nbsp;<code>external_id=</code><code>‘username:chenshu‘</code>&nbsp;<code>where&nbsp;external_id=</code><code>‘username:shuchen‘</code><code>;</code>
</td>
</tr>
</tbody>
</table>
<p>上面的sql语句将用户名从shuchen换成了chenshu</p>
<p><strong>数据库操作问题1：</strong></p>
<p>最近发现增删账号等数据库操作的要求越来越频繁，而通过ssh gerrit gsql进入数据库操作还是比较繁琐的。</p>
<p>查找Gerrit Document会发现有如下用法：</p>
<pre><em>ssh</em> -p &lt;port&gt; &lt;host&gt; <em>gerrit gsql</em>
  [--format {PRETTY | JSON}]
  [-c QUERY]</pre>
<p>尝试一条简单的命令ssh -p 29418 server gerrit gsql -c "select * from accounts"</p>
<p>报错：&nbsp;fatal: No argument is allowed: *</p>
<p>尝试一条简单的命令ssh -p 29418 server gerrit gsql -c "select ALL from accounts"</p>
<p>报错：&nbsp;fatal: No argument is allowed: ALL</p>
<p>知识有限，暂时没辙了。果断挂代理上google，得到如下结果：</p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40
</td>
<td>
<p><code>On Wed, Aug 10, 2011 at 4:43 PM, bruce zu &lt;</code><code>zu.bruc...</code><code>@gmail.com&gt; wrote:</code></p>
<p><code>Hi&nbsp; , Dear All</code></p>

<p><code>&nbsp;</code><code>my colleague find&nbsp; gerrit&nbsp; sshd function about&nbsp; gsql&nbsp; not good</code></p>
<p><code>enough , I check it and find</code></p>
<p><code>&nbsp;</code></p>
<p><code>It is not about gsql function but about quoting the command properly in your shell which can be tricky.</code></p>
<p><code>&nbsp;</code></p>

<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>ssh &lt;</code><code>name</code><code>&gt;@&lt;</code><code>host</code><code>&gt; -p 29419 gerrit gsql -c "select * from</code></p>
<p><code>accounts"</code></p>
<p><code>have you tried:</code></p>

<p><code>ssh &lt;</code><code>name</code><code>&gt;@&lt;</code><code>host</code><code>&gt; -p 29419 gerrit gsql -c \"select \* from accounts\"</code></p>
<p><code>You need to backslash the *, otherwise the shell will glob it and replace with all files in the current folder.</code></p>

<p><code>&nbsp;</code></p>

<p><code>&nbsp;&nbsp;&nbsp;</code><code>can not work , gerrit will say&nbsp; it will not support ‘*‘.</code></p>

<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>ssh &lt;</code><code>name</code><code>&gt;@&lt;</code><code>host</code><code>&gt; -p 29419 gerrit gsql -c "select full_name</code></p>
<p><code>from accounts"</code></p>

<p><code>ssh &lt;</code><code>name</code><code>&gt;@&lt;</code><code>host</code><code>&gt; -p 29419 gerrit gsql -c \"select full_name from accounts\"</code></p>

<p><code>&nbsp;&nbsp;</code></p>

<p><code>&nbsp;&nbsp;&nbsp;</code><code>can not work , gerrit will say&nbsp; full_name is not a column name.</code></p>

<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>ssh &lt;</code><code>name</code><code>&gt;@&lt;</code><code>host</code><code>&gt; -p 29419 gerrit gsql -c "SELECT FULL_NAME&nbsp; FROM</code></p>
<p><code>ACCOUNTS"</code></p>

<p><code>&nbsp;&nbsp;&nbsp;</code><code>can not work , gerrit will pending there&nbsp; and without giving any</code></p>
<p><code>error or other information after I waiting it for more than half an</code></p>
<p><code>hour.</code></p>
<p><code>I don‘t understand how is this different than the previous example with lowercase SQL string.</code></p>
<p><code>Anyway, if it hangs then create a thread dump of the Gerrit process and see if there are any threads</code></p>
<p><code>waiting in a JDBC driver call. If yes, then your database is not responding... or not responding quick enough.</code></p>

<p><code>Sasa Zivkov</code></p>
</td>
</tr>
</tbody>
</table>
<p>结果很明了，要用ssh Server gerrit gsql -c \"select \* from accounts\"</p>
<p>百度空间太坑爹了，自今天其全面转移到博客园。。。</p>
<p>附原链接http://hi.baidu.com/hengbo0926/item/d65b33c23d07f22ea0b50ac0</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 17:43:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Gerrit管理帐号的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0expJbM.html" rel="bookmark">有关NDES管理帐号及用户帐号权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IF your DC and CA use same server, when you use a domain user as NDES service account  and configure it , system will propomt &quot;Logon failure: the user has not been granted the requested logon type at this computer&quot; slove: You must edit the &quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rvZr13.html" rel="bookmark">如何搭建gerrit开源code review工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搭建环境:Ubuntu 14.04 一.环境准备 1.Java环境 gerrit依赖,用于安装gerrit环境. 下载:jdk-7u79-linux-x64.tar.gz http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html 安装:sudo tar zxvf ./jdk-7u79-linux-x64.tar.gz -C /opt 配置:vim ~/.bashrc export JAV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0eyp0r.html" rel="bookmark">微信公众号中添加外部链接地址的图文教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2017-9-18,长沙,有点闷,有点热. 本教程教大家如何在微信公众号中,添加外部的链接,网络有很多教程,但由于表述不太清楚,出个教程吧.最终实现在微信后台管理平台&quot;原文链接&quot;处插入外部链接,用户点击发布好的图文文章底部左下角的&quot;阅读原文&quot;,就可以跳转到您添加的外部链接页面中去. 第1步. 使用微信公众管理帐号登陆微信管理后台 &gt; 素材管理 &gt; 图文消息 &gt;  新建图文消息或者编辑文章都可以,如下图所示: 第2步. 之后,将页面向下拉,看到底部&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jm1KoM.html" rel="bookmark">qmail搭建基于web的vpopmail域与虚拟帐号管理工具问题一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#解决出现不能执行查询(query): SELECT * FROM admin ORDER BY id ASC LIMIT -20, 20,修改vi /var/www/html/admin/sys/index.php--------------------------------$start_row = ($get_page - 1)*$CFG_NUMOFPAGE;修改成if ($get_page == 0) {$start_row = $get_page*$CFG_NUMOFPAGE;}els			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGRyY4.html" rel="bookmark">Kali linux安装漏洞扫描工具Nessus指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子:Nessus是著名信息安全服务公司tenable推出的一款漏洞扫描与分析软件,号称是&quot;世界上最流行的漏洞扫描程序,全世界超过75,000个组织在使用它&quot;.尽管这个扫描程序可以免费下载得到,但是要从Tenable更新到所有最新的威胁信息,每年的直接订购费用是$1,200,也就是每个月100美刀.在Linux, FreeBSD, Solaris, Mac OS X和Windows下都可以使用 Nessus. Nessus目前分为四个版本:Nessus Home.Nessus Prof			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/V0bL7v4.html" rel="bookmark">45种攻入网站后台的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				45种攻入后台的方法1.到Google搜索,site:cq.cn inurl:asp2.到Google,搜索一些关键字,edit.asp? 韩国肉鸡为多,多数为MSSQL数据库!3.利用挖掘鸡和一个ASP木马:文件名是login.asp……路径组是/manage/关键词是went.asp用’or’='or’来登陆4.以下这个方法因为太多人做过,所以一些网站管理员对此都有防范之心了,成功率不高:关键字:“Co Net MIB Ver 1.0网站后台管理系统”帐号密码为 ‘or’='or’5.动感购			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzoa20.html" rel="bookmark">003-文本处理、排序、统计及bash特性、用户组权限、用户管理配置文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				l  1.文本处理命令 1．)cat(concatenate):连接并显示 tac:倒序显示文件 -n(number):显示行号 -E(show-ends):显示行结束符 2.)more.less:分屏显示 more: 向后翻,翻到尾部退出 less: 与打开man使用相同 3.)head:查看前n行 Tail:查看后n行 -n(lines):指定显示n行 tail -f: 查看文件尾部,不退出,等待显示后续追加至此文件的新内容: 4.)cut:文本剪切 -d(delimiter):指定字段分隔			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGkmQM.html" rel="bookmark">destoon 后台入口文件分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php/* [Destoon B2B System] Copyright (c) 2008-2015 www.destoon.com This is NOT a freeware, use is subject to license.txt*/@set_time_limit(0);    //设置程序执行时间 0 无限制 ,超出指定秒数后返回错误define('DT_ADMIN', true); define('DT_MEMBER', true); require 'common.inc.p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r5wNa0.html" rel="bookmark">数据库入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#!/bin/bash mkdir -p /data/backmysql/$(date +%F) mysqldump -uroot -p'XcG12zcq9fCQ1FTICcsu' test &gt; /data/backmysql/`date +%F`/test.sql mysqldump -uroot -p'XcG12zcq9fCQ1FTICcsu' mysql &gt; /data/backmysql/`date +%F`/mysql.sql rm -rf /data/backmysql/`date			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47prd6M.html" rel="bookmark" class="title">JS中的delete操作符</a>
					<div>
						首先,delete删除成功返回true,失败返回false. js代码: function wxCount ($element) { this.init($element); } wxCount.pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Omg9XM.html" rel="bookmark" class="title">NIO---2</a>
					<div>
						package com.atguigu.nio; import java.io.IOException;import java.nio.ByteBuffer;import java.nio.chann ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnBOo0.html" rel="bookmark" class="title">数组和指针关系论述</a>
					<div>
						指针的初始定义 与指针指向简单变量定义有些差别, int wages[3] = { 10, 11, 12 }; int *pt; ? 指针指向数组定义的方法有三种: (1) int *pt = &am ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEnpX0.html" rel="bookmark" class="title">HDU-4417-Super Mario&lpar;划分树&plus;二分&rpar;</a>
					<div>
						Problem Description Mario is world-famous plumber. His &quot;burly&quot; figure and amazing jumping  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p55RwM.html" rel="bookmark" class="title">C&num; 如何生成一个时间戳</a>
					<div>
						在程序中,常常会用到时间戳,如何生成一个时间戳呢? /// &lt;summary&gt; /// 获取时间戳 /// &lt;/summary&gt; /// &lt;returns&gt;&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmO6QD3.html" rel="bookmark" class="title">JavaScript学习 七、DOM</a>
					<div>
						DOM(文档对象模型)是针对HTML和XML文档的一个API.DOM描绘了一个层次化的节点树.允许开发人员添加.移除.修改页面的某一部分. 节点层次 文档节点是每个文档的根节点,文档元素是文档的最外层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZG8bM.html" rel="bookmark" class="title">词组缩写</a>
					<div>
						Problem Description 定义:一个词组中每个单词的首字母的大写组合称为该词组的缩写.比如,C语言里常用的EOF就是end of file的缩写. Input 输入的第一行是一个整数T, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGar5A3.html" rel="bookmark" class="title">Redis 学习之路  &lpar;013&rpar; - Redis-cli命令最新总结</a>
					<div>
						资料来源: http://redisdoc.com/ http://redis.io/commands 连接操作相关的命令 默认直接连接  远程连接-h 192.168.1.20 -p 6379 pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXngrV3.html" rel="bookmark" class="title">opencms 安装出现下面的问题：Your &amp;&num;39&semi;max&lowbar;allowed&lowbar;packet&amp;&num;39&semi;  variable is set to less than  16777216  Byte &lpar;16MB&rpar;&period;</a>
					<div>
						一.问题 在安装opencms是会出现如下错误: MySQL system variable 'max_allowed_packet' is set to 1048576 Byte (1MB). Pl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZNbOm3.html" rel="bookmark" class="title">Java运行时，各种类型存储介绍</a>
					<div>
						Java的内存分配   Java程序运行时的内存结构分成:方法区.栈内存.堆内存.本地方法栈几种.    方法区    存放装载的类数据信息,包括:基本信息:每个类的全限定名.每个类的直接超类的全限定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RnAg90.html" rel="bookmark" class="title">hdu 5444 构建二叉树，搜索二叉树</a>
					<div>
						Elven Postman Time Limit: 1500/1000 MS (Java/Others)    Memory Limit: 131072/131072 K (Java/Others)T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7aZbM.html" rel="bookmark" class="title">使用log4j日志-配置载入问题</a>
					<div>
						1.在eclipse中.把log4j.properties放在类路径下,在项目启动时就会自己主动载入. 2.在idea中.把log4j.properties放在类路径下.可是项目启动时不能直接载入(原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bKdeL3.html" rel="bookmark" class="title">&lbrack;BZOJ3674&rsqb;可持久化并查集加强版&amp;amp&semi;&lbrack;BZOJ3673&rsqb;可持久化并查集 by zky</a>
					<div>
						思路: 用主席树维护并查集森林,每次连接时新增结点. 似乎并不需要启发式合并,我随随便便写了一个就跑到了3674第一页?3673是这题的弱化版,本来写个暴力就能过,现在借用加强版的代码(去掉异或),直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1BWP3.html" rel="bookmark" class="title">图像滤镜处理算法：灰度、黑白、底片、浮雕</a>
					<div>
						1 灰度图片 前文阐述过关于图片的一些基本知识,彩色照片有RGB_8888.RGB_4444.RGB_565这么几种,每一个像素的颜色值由红.绿.蓝三种 值混合而成,红绿蓝的取值分别由很多种,于是像素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRRan4.html" rel="bookmark" class="title">【BZOJ3998】【TJOI2015】弦论 后缀自动机</a>
					<div>
						链接: #include &lt;stdio.h&gt; int main() { puts(&quot;转载请注明出处[vmurder]谢谢&quot;); puts(&quot;网址:blog.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQaZZM.html" rel="bookmark" class="title">一封家书</a>
					<div>
						亲爱的爸爸妈妈: 很难有机会以书信的方式去表达对你们的思念.感激和问候.时间就像那无情的风沙把原本的一切都掩埋的无影无踪,唯一不变的是:你们对孩子的这份爱就像这大海一样一直在澎湃. 我很幸运和你们注定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2Z7lM.html" rel="bookmark" class="title">VS2013的 Browser Link 引起的问题</a>
					<div>
						环境:vs2013 问题:在调用一个WebApi的时候出现了错误: 于是我用Fiddler 4直接调用这个WebApi,状态码是200(正常的),JSon里却提示在位置9409处文本非法, 以Text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLQ2eA0.html" rel="bookmark" class="title">SQL Server中Text和varchar&lpar;max&rpar;数据类型区别</a>
					<div>
						SQL Server中Text和varchar(max)数据类型区别 以前只知道text和image是可能被SQL Server淘汰的数据类型,但具体原因不太清楚,今天读书的时候发现了text与var ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l9nGX3.html" rel="bookmark" class="title">IT路上的应该注意自我规划 学习规划与自我修炼</a>
					<div>
						http://www.nowamagic.net/librarys/veda/detail/607 IT路漫漫,你需要明确自己所处的位置,并作出相应的规划,这条路才能够走得更加顺畅.下面是参考: 初学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MggePgM.html" rel="bookmark" class="title">MySQL基本命令和操作</a>
					<div>
						开启和关闭mysql服务 Windows下开启和关闭mysql服务 net start mysql        开启mysql服务 net stop mysql         关闭mysql服务  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
